require 'fastlane_core/ui/ui'

module Fastlane
  UI = FastlaneCore::UI unless Fastlane.const_defined?("UI")

  module Helper
    class GitHelper
      
      def self.clone_repo_in_tmp(repo_url, branch = 'master', create_branch_if_needed = false)
        temp_directory = `mktemp -d`.tr("\n", "")

        begin 
            Dir.chdir(temp_directory) do
                Actions.sh("git clone -b #{branch} #{repo_url} #{Dir.pwd}") do |status, result, cmd|
                    if status.success? != true && create_branch_if_needed
                        Actions.sh("git clone #{repo_url} #{Dir.pwd} && git checkout -b #{branch}") do |status, result, cmd |
                            if status.success? != true 
                                raise StandardError.new result
                            end
                        end
                    elsif status.success? != true 
                        raise StandardError.new result
                    end
                end
                yield(Dir.pwd)
            end
        ensure 
            Actions.sh("rm -rf #{temp_directory}")
        end
      end

      def self.show_message
        UI.message("Hello from the yalantis_ci plugin helper!")
      end
    end
  end
end
